<div class="mat-elevation-z8">
  <table mat-table class="full-width-table" [dataSource]="dataSource" matSort aria-label="Elements">
    <!-- User Avatar Column -->
    <ng-container matColumnDef="photoURL">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Profile Picture</th>
      <td mat-cell *matCellDef="let row">
        <img class="card-img-top" [src]="row.photoURL" width=50px>
      </td>
    </ng-container>

    <!-- Display Name Column -->
    <ng-container matColumnDef="displayName">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Display Name</th>
      <td mat-cell *matCellDef="let row">{{row.displayName}}</td>
    </ng-container>

    <!-- Email Column -->
    <ng-container matColumnDef="email">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Email</th>
      <td mat-cell *matCellDef="let row">{{row.email}}</td>
    </ng-container>

    <!-- User Role Column -->
    <ng-container matColumnDef="userRole">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>User Role</th>
      <td mat-cell *matCellDef="let row">{{row.userRole}}</td>
    </ng-container>

    <!-- Edit Column -->
    <ng-container matColumnDef="edit">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Edit</th>
      <td mat-cell *matCellDef="let row">
        <admin-user-sub-menu [user]="row"></admin-user-sub-menu>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <mat-paginator #paginator
                 [length]="100"
                 [pageIndex]="0"
                 [pageSize]="10"
                 [pageSizeOptions]="[10, 50, 100, 200]" (page)="loadMore($event)">
  </mat-paginator>
</div>
